org.wildfly.swarm.jgroups

## Class JGroupsFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.JGroups<JGroupsFraction>
      - - org.wildfly.swarm.jgroups.JGroupsFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<JGroupsFraction>

      public class JGroupsFraction
      extends JGroups<JGroupsFraction>
      implements Fraction<JGroupsFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.JGroups

      `JGroups.JGroupsResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JGroupsFraction` | `applyDefaults(boolean hasConfiguration)`
    `JGroupsFraction` | `applyMulticastDefaults()`
    `static JGroupsFraction` | `defaultFraction()`
    `String` | `defaultMulticastAddress()`
    `JGroupsFraction` | `defaultMulticastAddress(String defaultMulticastAddress)`
    `static JGroupsFraction` | `defaultMulticastFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.JGroups

      `addPropertyChangeListener, channel, channel, channel, channel, channels, defaultChannel, defaultChannel, getKey, removePropertyChangeListener, stack, stack, stack, stack, stacks, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### JGroupsFraction

          public JGroupsFraction()

  - ### Method Detail

    - #### defaultFraction

          public static JGroupsFraction defaultFraction()

    - #### defaultMulticastFraction

          public static JGroupsFraction defaultMulticastFraction()

    - #### applyDefaults

          public JGroupsFraction applyDefaults(boolean hasConfiguration)

      Specified by:
        `applyDefaults` in interface `Fraction<JGroupsFraction>`

    - #### applyMulticastDefaults

          public JGroupsFraction applyMulticastDefaults()

    - #### defaultMulticastAddress

          public JGroupsFraction defaultMulticastAddress(String defaultMulticastAddress)

    - #### defaultMulticastAddress

          public String defaultMulticastAddress()

Copyright © 2017 JBoss by Red Hat. All rights reserved.